/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PricingTipoPtoVta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderPricingTipoPtoVta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PricingTipoPtoVta pc = (PricingTipoPtoVta) o;

        Listcell lc = new Listcell();

        if (pc.getTipoPtovta() != null) {
            lc = new Listcell(pc.getTipoPtovta().getDesctipo());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", pc);
    }
}
